curl -X GET "https://app.famulor.de/api/user/phone-numbers/all" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"data": [
{
"id": 1,
"phone_number": "+49155551234",
"country_code": "DE",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-07T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
Retrieves all phone numbers of the authenticated user
curl -X GET "https://app.famulor.de/api/user/phone-numbers/all" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"data": [
{
"id": 1,
"phone_number": "+49155551234",
"country_code": "DE",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-07T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
GET /user/phone-numbers that only returns SMS-capable phone numbers with active subscriptions. Use this /all endpoint when you need all phone numbers regardless of SMS capability or subscription status.Show Phone Number Properties
normal, sip or caller_idcurl -X GET "https://app.famulor.de/api/user/phone-numbers/all" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"data": [
{
"id": 1,
"phone_number": "+49155551234",
"country_code": "DE",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-07T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}